Roundup Tracker - Issues

Issue 2551040

classification
Title: New release of psycopg2 drops support for psycopg1 - need to rewrite
Type: crash Severity: normal
Components: Database Versions: devel
process
Status: fixed Resolution: fixed
Dependencies: Superseder:
Assigned To: rouilj Nosy List: ber, ced, rouilj, schlatterbeck
Priority: high Keywords: Blocker

Created on 2019-04-06 03:07 by rouilj, last changed 2019-06-19 17:52 by schlatterbeck.

Messages
msg6456 Author: [hidden] (rouilj) Date: 2019-04-06 03:07
Sigh. travisci is failing with:

======== ERROR collecting test/test_postgresql.py
ImportError while importing test module '/home/travis/build/roundup-tracker/roundup/test/test_postgresql.py'.
Hint: make sure your test modules/packages have valid Python names.
Traceback:
../../../virtualenv/python2.7.14/lib/python2.7/site-packages/six.py:709: in exec_
    exec("""exec _code_ in _globs_, _locs_""")
test/test_postgresql.py:29: in <module>
    if not have_backend('postgresql'):
roundup/backends/__init__.py:49: in have_backend
    get_backend(name)
roundup/backends/__init__.py:42: in get_backend
    module = __import__(module_name, vars, level=1)
roundup/backends/back_postgresql.py:16: in <module>
    from psycopg2 import psycopg1 as psycopg
E   ImportError: cannot import name psycopg1
=======
Also same failure in:

 test/test_xmlrpc.py
 test/test_indexer.py 

Release notes for psycopg2 released on 4/4/2019 

    http://initd.org/psycopg/docs/news.html#what-s-new-in-psycopg-2-8

says:

  Dropped psycopg1 module.

Sigh somebody will need to port the code to psycopg2.
msg6457 Author: [hidden] (rouilj) Date: 2019-04-06 14:17
Changed .travis.yml forcing last version with psycopg1 support.
Now using:

  - pip install psycopg2==2.7.7

This will at least let development/bug fixes to go forward and get
tested. This is still a blocker for release IMO.
msg6461 Author: [hidden] (ber) Date: 2019-04-19 19:30
Here is the compatibility module, which should have the information
needed to migrate the code (as this code does the translation).
Otherwise I could not find a migration guide in the psycopg2 docs.

https://github.com/psycopg/psycopg2/blob/maint_2_7/lib/psycopg1.py
msg6493 Author: [hidden] (rouilj) Date: 2019-06-01 19:48
First attempt at rev5750:5cb6e6b594b0 is in travis now. Hopefully
everything will pass.

I would appreciate feedback on the changes.
msg6539 Author: [hidden] (rouilj) Date: 2019-06-07 20:41
Has anybody taken a look at this? If nobody posts a problem, I am
planning on closing it next week.
msg6542 Author: [hidden] (ber) Date: 2019-06-11 07:26
John,
FYI: I haven't been testing it.
msg6543 Author: [hidden] (rouilj) Date: 2019-06-11 16:27
Hi Bern:

In message <1560237969.71.0.514491265273.issue2551040@roundup.psfhosted.org>,
Bernhard Reiter writes:
>FYI: I haven't been testing it.

Ok, if you have no objections, I am going to close this and trust that
the test suite would have broken if I did it incorrectly.
msg6550 Author: [hidden] (schlatterbeck) Date: 2019-06-19 17:52
On Tue, Jun 11, 2019 at 04:27:57PM +0000, John Rouillard wrote:
> In message <1560237969.71.0.514491265273.issue2551040@roundup.psfhosted.org>,
> Bernhard Reiter writes:
> >FYI: I haven't been testing it.
> 
> Ok, if you have no objections, I am going to close this and trust that
> the test suite would have broken if I did it incorrectly.

Hi John, just to let you know: Today a collegue and me tested the current
master branch with a new psycopg2 and everything (except REST with WSGI,
see separate bug-report) seems to work fine (python2).  I guess in the
DB area our tests have quite some coverage, so any larger problem should
have been discovered by those...

Ralf
-- 
Dr. Ralf Schlatterbeck                  Tel:   +43/2243/26465-16
Open Source Consulting                  www:   http://www.runtux.com
Reichergasse 131, A-3411 Weidling       email: office@runtux.com
History
Date User Action Args
2019-06-19 17:52:58schlatterbecksetmessages: + msg6550
2019-06-16 01:50:46rouiljsetstatus: open -> fixed
resolution: fixed
2019-06-11 16:27:57rouiljsetmessages: + msg6543
2019-06-11 07:26:09bersetmessages: + msg6542
2019-06-07 20:41:59rouiljsetmessages: + msg6539
2019-06-01 19:48:55rouiljsetversions: + devel
2019-06-01 19:48:42rouiljsetcomponents: + Database
2019-06-01 19:48:30rouiljsetstatus: new -> open
assignee: rouilj
type: crash
messages: + msg6493
2019-06-01 19:22:08rouiljsetkeywords: + Blocker
2019-05-16 23:55:59rouiljsetpriority: high
2019-04-19 19:30:52bersetnosy: + ber
messages: + msg6461
2019-04-09 11:59:15schlatterbecksetnosy: + schlatterbeck
2019-04-06 14:17:03rouiljsetmessages: + msg6457
2019-04-06 07:28:17cedsetnosy: + ced
2019-04-06 03:07:09rouiljcreate